Show / Hide Table of Contents

# Struct AtkTexture

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Component.GUI

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct AtkTexture

### Fields

| Improve this Doc View Source

#### Crest

##### Declaration

    public void *Crest

##### Field Value

Type | Description
--- | ---
System.Void* |

| Improve this Doc View Source

#### KernelTexture

##### Declaration

    public Texture*KernelTexture

##### Field Value

Type | Description
--- | ---
Texture* |

| Improve this Doc View Source

#### Resource

##### Declaration

    public AtkTextureResource*Resource

##### Field Value

Type | Description
--- | ---
AtkTextureResource* |

| Improve this Doc View Source

#### TextureType

##### Declaration

    public TextureType TextureType

##### Field Value

Type | Description
--- | ---
TextureType |

| Improve this Doc View Source

#### UnkBool_2

##### Declaration

    public byte UnkBool_2

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### vtbl

##### Declaration

    public void *vtbl

##### Field Value

Type | Description
--- | ---
System.Void* |

### Methods

| Improve this Doc View Source

#### Ctor()

##### Declaration

    [MemberFunction("E8 ?? ?? ?? ?? 48 8B 87 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 4C 89 BF")]
    public void Ctor()

| Improve this Doc View Source

#### Destroy(Boolean)

##### Declaration

    [VirtualFunction(0)]
    public void Destroy(bool free)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Boolean | free |

| Improve this Doc View Source

#### GetKernelTexture()

##### Declaration

    [MemberFunction("E8 ? ? ? ? 8B 57 10 4C 8B C0")]
    public Texture*GetKernelTexture()

##### Returns

Type | Description
--- | ---
Texture* |

| Improve this Doc View Source

#### GetLoadState()

##### Declaration

    [MemberFunction("80 79 10 01 75 44")]
    public int GetLoadState()

##### Returns

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### IsTextureReady()

##### Declaration

    [MemberFunction("0F B6 41 11 48 8B D1")]
    public bool IsTextureReady()

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### LoadIconTexture(Int32, Int32)

##### Declaration

    [MemberFunction("E8 ? ? ? ? 41 8D 84 24 ? ? ? ? ")]
    public int LoadIconTexture(int iconId, int version)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | iconId |
System.Int32 | version |

##### Returns

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### ReleaseTexture()

##### Declaration

    [MemberFunction("E8 ? ? ? ? C6 43 10 02")]
    public int ReleaseTexture()

##### Returns

Type | Description
--- | ---
System.Int32 |